%define name mpich
%define version 1.2.4
%define release alt5
%define lib_name_orig libmpich
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: MPICH is a portable implementation of MPI.
Version: %{version}
Release: %{release}
Source0: %{name}.tar.gz
Source1: mpiinstall-%{version}-hack
Patch0: mpich-patch.all
URL: http://www-unix.mcs.anl.gov/mpi/mpich/
License: Distributable 
Group: Development/Other
Prefix: %{_prefix}
AutoReqProv: no
BuildRequires: gcc-c++, gcc-g77

%description
MPICH is a freely available, portable implementation of MPI, the Standard 
for message-passing libraries.
MPICH-A Portable Implementation of MPI is a MPI Standard conforming library 
that was developed by the Argonne National Laboratory. It allows different 
processes across a network of workstations to communicate using specific 
message passing functions. It includes librairies, parallel debuging tools 
and docs.

This package provides the libraries that use the standard p4 device.

%package -n mpich-doc
Summary: Documentation for developing programs that will use MPICH
Group: Development/Other
Requires: mpich = %{version}-%{release}
AutoReqProv: no

%description -n mpich-doc
MPICH is a freely available, portable implementation of MPI, the Standard 
for message-passing libraries.
MPICH-A Portable Implementation of MPI is a MPI Standard conforming library 
that was developed by the Argonne National Laboratory. It allows different 
processes across a network of workstations to communicate using specific 
message passing functions. It includes librairies, parallel debuging tools 
and docs.

This package provides the documentation needed to develop
applications using the MPICH libraries.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use MPICH
Group: Development/Other
Requires: mpich = %{version}-%{release}

%description -n %{lib_name}-devel
MPICH is a freely available, portable implementation of MPI, the Standard 
for message-passing libraries.
MPICH-A Portable Implementation of MPI is a MPI Standard conforming library 
that was developed by the Argonne National Laboratory. It allows different 
processes across a network of workstations to communicate using specific 
message passing functions. It includes librairies, parallel debuging tools 
and docs.

This package provides the static libraries and header files needed to compile
applications using the MPICH libraries.

%package -n mpicc
Summary: The MPICH wrapper over the C compiler
Group: Development/C
Requires: gcc, %{lib_name}-devel = %{version}-%{release}

%description -n mpicc
MPICH is a freely available, portable implementation of MPI, the Standard 
for message-passing libraries.
MPICH-A Portable Implementation of MPI is a MPI Standard conforming library 
that was developed by the Argonne National Laboratory. It allows different 
processes across a network of workstations to communicate using specific 
message passing functions. It includes librairies, parallel debuging tools 
and docs.

This package provides the shell script mpicc, with headers, which allows to
compile C programs using the MPICH libraries.

%prep
%setup -q
%patch -p0

find -name .cvsignore | xargs rm -rf
find -name CVS -type d | xargs rm -rf

%build
CFLAGS=$RPM_OPT_FLAGS; export CFLAGS;
[ -f configure.in ] && libtoolize --copy --force;
./configure --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
        --datadir=%{_datadir}/mpich/ \
        --includedir=%{_includedir} \
	--libdir=%{_libdir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
	--enable-f77 --enable-c++ --enable-sharedlib=%{_libdir}
make

%install
cp %SOURCE1 ./bin/mpiinstall
BUILDDIR0=%{_builddir}/mpich-1.2.4/ make install

%files
%defattr(-,root,root,755)
%doc COPYRIGHT
%{_sbindir}/*
%{_bindir}/mpirun*
%{_bindir}/mpereconfig
%{_bindir}/mpereconfig.dat
%{_bindir}/mpereconfig.in
%{_bindir}/mpiman
%{_bindir}/mpireconfig
%{_bindir}/mpireconfig.dat
%{_bindir}/tarch
%{_bindir}/tdevice
%{_bindir}/serv_p4
%{_bindir}/clog2alog
%{_bindir}/clog2slog
%{_bindir}/clog_print
%{_bindir}/slog_print
%{_bindir}/logviewer
#%dir /usr/etc/mpich/
%config(noreplace) /usr/etc/mpi*

%files -n mpich-doc
%defattr(-,root,root,755)
%doc doc/* www

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYRIGHT
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man4/*.4*
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.o
%dir %{_datadir}/mpich/
%{_datadir}/mpich/*

%files -n mpicc
%defattr(-,root,root,755)
%doc COPYRIGHT
%{_bindir}/mpicc
%{_bindir}/mpiCC
%{_bindir}/mpif77

%changelog

* Sat Nov 02 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt5
- BUILDDIR fixed in the mpiistall hack

* Wed Oct 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt4
- Some SPEC cleanups

* Mon Oct 28 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt3
- Java dependency removed.

* Wed Oct 23 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt2
- version 1.2.4 with a current cummulatave bugfix patch
- a very dirty hack over stupid bin/mpiinstall
- please note: unusual placement for confs - /usr/etc/
- examples removed from mpich-doc. will be back soon.

* Wed Jan 23 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.2.2-alt1
- Temporaly removed C++ interface.

* Fri Nov 23 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.2.2.2-4mdk
- Removed unresolved dependencies

* Mon Nov 19 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.2.2.2-3mdk
- Added sub packages mpich-doc mpicc mpic++ mpif77

* Tue Oct 25 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.2.2.2-2mdk
- Rebuild for rpmlint

* Fri Oct 12 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.2.2.2-1mdk
- Mpich package build for the first time.

# end of file
